SFML

- Main Page
- Modules
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

sf::Http::Request Member List

This is the complete list of members for sf::Http::Request, including all inherited members.

Get enum value | sf::Http::Request |
Head enum value | sf::Http::Request |
Http (defined in sf::Http::Request) | sf::Http::Request | friend
Method enum name | sf::Http::Request |
Post enum value | sf::Http::Request |
Request(const std::string &uri="/", Method method=Get, const std::string &body="") | sf::Http::Request |
setBody(const std::string &body) | sf::Http::Request |
setField(const std::string &field, const std::string &value) | sf::Http::Request |
setHttpVersion(unsigned int major, unsigned int minor) | sf::Http::Request |
setMethod(Method method) | sf::Http::Request |
setUri(const std::string &uri) | sf::Http::Request |